Skip to main content
GET
/
v1
/
balance_transactions
List Balance Transactions
curl --request GET \
  --url https://api.withflex.com/v1/balance_transactions \
  --header 'Authorization: Bearer <token>'
{
  "balance_transactions": [
    {
      "balance_transaction_id": "obj_01EXAMPLE00000000000000000",
      "amount": 0,
      "available_on": "string",
      "created_at": "2024-01-01T00:00:00Z",
      "exchange_rate": 1,
      "fee": 0,
      "net": 0,
      "reporting_category": "string",
      "checkout_session_id": "obj_01EXAMPLE00000000000000000",
      "client_reference_id": "obj_01EXAMPLE00000000000000000",
      "status": "available",
      "source_id": "obj_01EXAMPLE00000000000000000",
      "type": "string",
      "flex_payment_intent_id": "obj_01EXAMPLE00000000000000000",
      "test_mode": false,
      "mid": "string",
      "currency": "usd",
      "metadata": {},
      "transaction_fee_amount": 0,
      "interchange_fee_amount": 0,
      "lmn_fee_amount": 0,
      "dispute_fee_amount": 0,
      "card_type": "string",
      "card_network": "string"
    }
  ]
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access this API.

Query Parameters

balance_transaction_id
string | null

Filter by a specific balance transaction ID.

Example:

"obj_01EXAMPLE00000000000000000"

payout_id
string | null

Filter by payout ID to see transactions included in a specific payout.

Example:

"obj_01EXAMPLE00000000000000000"

reporting_category
string | null

Filter by reporting category (e.g., charge, refund, dispute, payout).

type
string | null

Filter by transaction type (e.g., payment, payment_refund, adjustment, payout).

starting_after
string | null

A cursor for use in pagination. starting_after is a balance transaction ID that defines your place in the list. For instance, if you make a list request and receive 20 balance transactions, ending with fbt_xyz, your subsequent call can include starting_after=fbt_xyz to fetch the next page.

Example:

"obj_01EXAMPLE00000000000000000"

ending_before
string | null

A cursor for use in pagination. ending_before is a balance transaction ID that defines your place in the list. For instance, if you make a list request and receive 20 balance transactions, starting with fbt_abc, your subsequent call can include ending_before=fbt_abc to fetch the previous page.

Example:

"obj_01EXAMPLE00000000000000000"

limit
integer<int32> | null

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

Required range: x >= 1
Example:

10

Response

Success

balance_transactions
object[]
required